bash

From AIXTOOLS
Revision as of 09:06, 15 October 2020 by Michael Felt (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Packages|GNU|aixtools.gnu.bash.5.0.18.0.I
Report Issues (via Forums) and/or TWEET:@rootvgnet
MD5 Checksums

E6106A3CF9A82B4E8785003F587ECA13 aixtools.gnu.bash.5.0.18.0.I
8F9EE86928753322C1EE95161BD0A92D aixtools.gnu.bash.5.0.11.0.I
D7F6C8EF1E12D4C18399E5F4B0ACFD32 aixtools.gnu.bash.4.4.23.1.I

Package Details bash-5.0

Sources via: https://www.gnu.org/software/bash/bash-5.0-patches
Version 5.0 Patch Level: 18
Release Date: 10 July 2020

Package Details bash-4.4

Sources via: https://www.gnu.org/software/bash/bash-4.4-patches
Version 4.4 Patch Level: 23
Release Date: 01 June 2018

News

--Michael Felt (talk) 19:26, 14 October 2020 (CEST) Have a reason to check. I see the patchlevel 23 for bash4 is still the latest, bash5 has some additional patches that I'll get applied asap. bash5 will be at 5.0.18.0 when updated.

Release Notes

--Michael Felt (talk) 10:07, 7 February 2020 (CET) Added bash-5.0, at patch level 11. GNU libiconv-1.16 and GNU gettext-20.1 are embedded, so no added dependencies.

--Michael Felt (talk) 09:30, 19 October 2019 (CEST) Repackaged 4.4.23 on a clean system (no gnu tools installed) and AIX 5.3. Tested on AIX 5.3, AIX 6.1 and AIX 7.1 (a test of AIX 7.2 will be later) - but this seems to install ASIS - no [[gettext] or libiconv needed. Back to where I wanted to be.

--Michael Felt (talk) 00:36, 19 October 2019 (CEST) Sadly, aixtools.gnu.gettext (gettext) is still needed to be certain that libintl.so.8 is available. And gettext needs that package libiconv. Now that I know this, and AIX does have some releases that does have the update from libintl.so.1 to libintl.so.8 I'll be looking into repackaging bash so that it warns (and aborts) during installation if libintl.so.8 is not available. I hope that everyone agrees that it is better to only require gettext when libintl.so.8 is not available.

--Michael Felt (talk) 00:17, 29 March 2019 (CET) Finally got around to updating the package here.

--Michael Felt (talk) 21:22, 7 February 2018 (CET) Patch Level 19 - bug fix

--Michael Felt (talk) 13:24, 6 February 2018 (CET) New Release, Patch Level 18. This includes my modification to have the syslog entry similar to other AIX commands.

in bashhist.c:

--- bash-4.4.18/bashhist.c      2016-04-13 12:40:43 +0000
+++ ./bashhist.c        2018-02-06 12:03:25 +0000
@@ -768,12 +768,20 @@
     }

   if (strlen(line) < SYSLOG_MAXLEN)
+#ifndef _AIX
     syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "HISTORY: PID=%d UID=%d %s", getpid(), current_user.uid, line);
+#else
+    syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "bash[%d]: UID=%d: %s", getpid(), current_user.uid, line);
+#endif
   else
     {
       strncpy (trunc, line, SYSLOG_MAXLEN);
       trunc[SYSLOG_MAXLEN - 1] = '\0';
+#ifndef _AIX
       syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "HISTORY (TRUNCATED): PID=%d UID=%d %s", getpid(), current_user.uid, trunc);
+#else
+      syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "bash[%d].TRUNCATED: UID=%d: %s", getpid(), current_user.uid, line);
+#endif
     }
 }
 #endif

--Michael Felt (talk) 12:48, 2 November 2017 (CET) Had missed redefining SYSLOG_HISTORY - so removed package 4.4.12.1 and replaced it with 4.4.12.2 that has bashhist.o compiled properly!

--Michael Felt (talk) 15:40, 25 May 2017 (UTC) Finally, BASH-4 packaged and ready to go. One amazing thing - "gnu.gettext" and "gnu.libiconv" are no longer required as a dependency!! (READ - SURPRISE SURPRISE!!) - So, no bundle needed. My guess is that changes made in the underlying gnulib have removed the need for a number of tests run by configure! -- I approve!

--Michael Felt (talk) 16:35, 23 June 2016 (UTC) Looks like bug fixes again, and I added a 'bundle' link above

--Michael Felt (talk) 15:50, 13 September 2015 (UTC) bash-4.3.42 - bug-releases (no CVE related changes I could find)

--Michael Felt (talk) 17:42, 9 August 2015 (UTC)

Modified bashhist.c so that syslog messages look more like standard AIX syslog messages. Messages now look like:
Aug  9 17:07:36 x064 user:info syslog: bash[262296]: UID=0: cat /tmp/bash_history.out
Aug  9 17:30:12 x064 user:info syslog: bash[454682]: UID=0: ls -ltr
--Michael Felt (talk) 14:57, 7 August 2015 (UTC)
Modified the define so that history is sent to  SYSLOG by default
 /* Define if you want each line saved to the history list in bashhist.c:
    bash_add_history() to be sent to syslog(). */
 /* #define SYSLOG_HISTORY */
 #define SYSLOG_HISTORY 
 #if defined (SYSLOG_HISTORY)
 #  define SYSLOG_FACILITY LOG_USER
 #  define SYSLOG_LEVEL LOG_INFO
 #endif

You can add the following to capture syslog activity

touch /tmp/bash_history.out
echo "user.info               /tmp/bash_history.out     rotate time 1d " >>/etc/syslog.conf
stopsrc -s syslogd
startsrc -s syslogd 

And you will get output similar to this:

root@x064:[/data/prj/gnu/bash/bash-4.3.39]cat /tmp/bash*out
Aug  7 14:56:56 x064 user:info syslog: HISTORY: PID=462868 UID=0 ls
Aug  7 14:56:58 x064 user:info syslog: HISTORY: PID=462868 UID=0 pwd
Aug  7 14:57:07 x064 user:info syslog: HISTORY: PID=462868 UID=0 ls -l /tmp/bash*

Michael Felt (talk) 15:30, 12 June 2015 (UTC)
bash-4.3.39 - 5 different patches released May 19, 2015
bash-4.2.53 - repackaged with the new packaging name and known dependencies
bash-3.2.57 - first packaging of bash-3.2.X by aixtools

CVE issues - anno 2014

Will write this up with more specific info later. For now - the versions bash-4.3.30 and bash-4.2.50 are patched to correct all known CVE as of Oct. 1, 2014. Versions 4.3.33 and 5.2.53 have additional bug-fixes.

History

Older versions (4.3.X and earlier) depend on: aixtools.gnu.gettext aixtools.gnu.libiconv

58543E3C1CAE5D29C7AB74EB757515CD aixtools.gnu.bash.4.4.23.0.I
1069B8ABD66EC0F5286540C0311A80EC aixtools.gnu.bash.4.4.19.0.I
2F29136566C8F10131AEBB023CE772D4 aixtools.gnu.bash.4.4.18.0.I
3288CACEB7B8840F7515EF9DB3A7416A aixtools.gnu.bash.4.4.12.2.I
A0934A465C5A1DC7FD913401EAEF66DA aixtools.gnu.bash.4.4.12.0.I
ABE5BFCA80BDC1355D639EB37CC8872F aixtools.gnu.bash.4.3.48.0.I
C0273E1BC16208E86BFCBC30AFFCCC64 aixtools.gnu.bash-4.3.bnd.tar.bz2
AFF4B1DD74E01600F23F455E5D4ADD97 aixtools.gnu.bash.4.2.53.0.I
DCDE1F577801672178D2C5372D8C126F aixtools.gnu.bash.3.2.57.0.I
C6AB02EBB23BD82AFAD95A916B284E44 aixtools.gnu.bash.4.3.46.0.I
4CA39B38F4A07C9F6416776069F547E5 aixtools.gnu.bash.4.3.42.0.I
0CCE2FB4867A78626AA92D12164882F6 aixtools.gnu.bash.4.3.39.2.I
F400CA46905FA9CDF9FC4D1E0839D4D5 aixtools.gnu.bash.4.3.39.1.I
A91C44CA4EC66670A361A133E48D4378 aixtools.gnu.bash.4.3.39.0.I
Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox